<?php
/*

# ------------------------------------------------------------------------
# JA Zibal template  for Joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# bound by Proprietary License of JoomlArt. For details on licensing, 
# Please Read Terms of Use at http://www.joomlart.com/terms_of_use.html.
# Author: JoomlArt.com
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------

*/

defined( '_JEXEC' ) or die( 'Restricted access' );
defined( 'DS') || define( 'DS', DIRECTORY_SEPARATOR );
include_once (dirname(__FILE__).DS.'/ja_vars.php');

$msie='/msie\s(5\.[5-9]|[6]\.[0-9]*).*(win)/i';
$supported_browsers = !isset($_SERVER['HTTP_USER_AGENT']) ||
	!preg_match($msie,$_SERVER['HTTP_USER_AGENT']) ||
	preg_match('/opera/i',$_SERVER['HTTP_USER_AGENT']);


?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<jdoc:include type="head" />
<?php JHTML::_('behavior.mootools'); ?>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Style-Type" content="text/css" />

<?php if ($tmpTools->getParam('ModuleCollapsible')) { ?>
<script language="javascript" type="text/javascript">
var rightCollapseDefault='show';
var excludeModules='0';
</script>
<script type="text/javascript" src="<?php echo $tmpTools->templateurl();?>/scripts/ja.collapsible.js"></script>
<?php } ?>

<?php $jamenu->genMenuHead(); ?>
<link rel="stylesheet" href="<?php echo JURI::base(); ?>templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo JURI::base(); ?>templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl();?>/css/editor_content.css" type="text/css" />
<link href="<?php echo $tmpTools->templateurl();?>/css/template.css" rel="stylesheet" type="text/css" />

<link href="<?php echo $tmpTools->templateurl();?>/css/colors/<?php echo $tmpTools->getParam(JA_TOOL_COLOR);?>.css" rel="stylesheet" type="text/css" />

<script language="javascript" type="text/javascript" src="<?php echo $tmpTools->templateurl();?>/scripts/ja.script.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $tmpTools->templateurl();?>/scripts/opacity.js"></script>
<script language="javascript" type="text/javascript">
var objMyImg = null;
function initPNGTrans() {
	objMyImg = new OpacityObject('ja-topnav','<?php echo $tmpTools->templateurl();?>/images/opaque');
	objMyImg.setBackground();
}
</script>

<!--[if lte IE 6]>
<style type="text/css">
.clearfix {	height: 1%;}
</style>
<![endif]-->

<!--[if IE 7]>
<style type="text/css">
.clearfix {	display: inline-block;}
</style>
<![endif]-->
<?php if (!$tmpTools->getParam('ModuleCollapsible')) { ?>
<style type="text/css">
div.jamod h3 {
	cursor:auto;
}
</style>
<?php } ?>

<!--[if gt IE 7]>
<link href="<?php echo $tmpTools->templateurl(); ?>/css/ie8.css" rel="stylesheet" type="text/css" />
<![endif]-->

</head>

<body id="bd" class="<?php echo $tmpTools->getParam(JA_TOOL_SCREEN);?> fs<?php echo $tmpTools->getParam(JA_TOOL_FONT);?>">

<div id="ja-wrapper">

<a name="Top" id="Top"></a>
<a title="Skip to content" href="#Content" style="display: none;">Skip to content</a>

	<!-- BEGIN: HEADER -->
	<div id="ja-header-wrap1">
		<div id="ja-header-wrap2">
			<div id="ja-header-wrap3">
				<div id="ja-header" class="clearfix">

					<h1>
						<?php $config = new JConfig(); ?>
						<a href="index.php"><img src="<?php echo $tmpTools->templateurl();?>/images/logo-<?php echo $tmpTools->getParam(JA_TOOL_COLOR); ?>.jpg" alt="<?php echo $config->sitename; ?>" /></a>
					</h1>

					<?php if ($tmpTools->getParam(JA_TOOL_USER) && $this->countModules('user4')) {?>
					<div id="ja-search">
						<jdoc:include type="modules" name="user4" style="raw" />
					</div>
					<?php } ?>

					<?php if ($tmpTools->getParam(JA_TOOL_USER) || $this->countModules('user4')) {?>
					<div id="ja-usertoolswrap">
						<div id="ja-usertools">
							<?php if ($tmpTools->getParam(JA_TOOL_USER)) { ?>
							<?php $tmpTools->genToolMenu($tmpTools->getParam(JA_TOOL_USER) & 7,'gif'); ?>
							<?php } else { ?>
							<div id="ja-search-tool">
								<jdoc:include type="modules" name="user4" style="raw" />
							</div>
							<?php } ?>
						</div>
					</div>
					<?php } ?>
				</div>
			</div>
		</div>
	</div>
	<!-- END: HEADER -->
	<!-- BEGIN: SUBHEADER -->
	<div id="ja-sh-wrap1">
		<div id="ja-sh-wrap2">
			<div id="ja-sh-wrap3">
				<div id="ja-sh" class="clearfix" style="background:url('<?php echo $tmpTools->templateurl()."/images/".$tmpTools->getParam(JA_TOOL_COLOR)."/".$ja_headerimg; ?>') no-repeat top right; ">

					<div id="ja-topnav">
						<!-- BEGIN: MAIN NAVIGATION -->
						<div id="ja-mainnav" class="clearfix">
							<?php	$jamenu->genMenu (0); ?>
						</div>
						<!-- END: MAIN NAVIGATION -->
					</div>

					<script type="text/javascript">initPNGTrans();</script>

				</div>
			</div>
		</div>
	</div>
	<!-- END: SUBHEADER -->

	<!-- BEGIN: PATHWAY -->
	<div id="ja-pathway-wrap1">
		<div id="ja-pathway-wrap2">
			<div id="ja-pathway-wrap3">
				<div id="ja-pathway">
					<?php if(!$tmpTools->isFrontPage()) { ?>
						<jdoc:include type="modules" name="breadcrumb" style="raw" />
					<?php } ?>
				</div>
			</div>
		</div>
	</div>
	<!-- END: PATHWAY -->

	<!-- BEGIN: MAIN CONTENT -->
	<div id="ja-main-wrap1">
		<div id="ja-main-wrap2">
			<div id="ja-main-wrap3">
				<div id="ja-<?php echo $divwrapid ?>" class="clearfix">

					<!-- BEGIN: CONTENT -->
					<div id="ja-<?php echo $divid ?>">
						<a name="Content" id="Content"></a>

						<div id="ja-mainbody">
							<jdoc:include type="component" />

							<?php if ($footermodule) { ?>
							<!-- BEGIN: SPOTLIGHT -->
							<div id="ja-spotlight" class="clearfix">

								<?php if ( $this->countModules('user1') ) { ?>
								<div class="ja-box" style="width: <?php echo $divwidth ?>; height: <?php echo $divheight ?>;">
									<jdoc:include type="modules" name="user1" style="rounded" />
								</div>
								<?php } ?>

								<?php if ( $this->countModules('user2') ) { ?>
								<div class="ja-box" style="width: <?php echo $divwidth ?>; height: <?php echo $divheight ?>;">
									<jdoc:include type="modules" name="user2" style="rounded" />
								</div>
								<?php } ?>

								<?php if ( $this->countModules('newsflash') ) { ?>
								<div class="ja-box" style="width: <?php echo $divwidth ?>; height: <?php echo $divheight ?>;">
									<jdoc:include type="modules" name="newsflash" style="rounded" />
								</div>
								<?php } ?>

							</div>
							<!-- END: SPOTLIGHT -->
							<?php } ?>

						</div>

					</div>
					<!-- END: CONTENT -->

					<?php if ($ja_sidecol) { ?>
					<!-- BEGIN: COLUMN -->
					<div id="ja-sidecol">

						<?php if ($hasSubnav) { ?>
						<div id="ja-subnav">
							<h3><?php echo $jamenu->getParentText(1); ?></h3>
							<!-- BEGIN: SUBMENU -->
								<?php $jamenu->genMenu (1,1); ?>
							<!-- END: SUBMENU -->	
						</div>
						<?php } ?>

						<jdoc:include type="modules" name="top" style="jaxhtml" />
						<jdoc:include type="modules" name="left" style="jaxhtml" />
						<jdoc:include type="modules" name="right" style="jaxhtml" />
					</div>
					<br />
					<!-- END: COLUMN -->
					<?php } ?>

				</div>
			</div>
		</div>
	</div>
	<!-- END: MAIN CONTENT -->

	<!-- BEGIN: FOOTER -->
	<div id="ja-footer-wrap1">
		<div id="ja-footer-wrap2">
			<div id="ja-footer-wrap3">
				<div id="ja-footer">

					<jdoc:include type="modules" name="user3" style="raw" />

					<div id="ja-cert">
						
					</div>

					<p id="ja-bottomline">
						<?php include_once( dirname(__FILE__)."/footer.php" ); ?>
					</p>

				</div>
			</div>
		</div>
	</div>
	<!-- END: FOOTER -->

</div>
<jdoc:include type="modules" name="debug" style="raw" />

</body>

</html>
