<?php
/*

# ------------------------------------------------------------------------
# JA Zibal template  for Joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# bound by Proprietary License of JoomlArt. For details on licensing, 
# Please Read Terms of Use at http://www.joomlart.com/terms_of_use.html.
# Author: JoomlArt.com
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------

*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
include_once (dirname(__FILE__).DS.'ja_templatetools.php');

$tmpTools = new JA_Tools($this);
$tmpTools->setColorThemes(array('default', 'black', 'cyan', 'green', 'red'));

//Main navigation
$japarams = new JParameter('');
$japarams->set( 'menu_images_align', 'left' );
$japarams->set( 'menutype', 'mainmenu' );
$japarams->set( 'menupath', $tmpTools->templateurl() .'/ja_menus');
$menu = '';
switch ($tmpTools->getParam(JA_TOOL_MENU)) {
	case 2:
		$menu = "CSSmenu";
		include_once( dirname(__FILE__).DS.'ja_menus/'.$menu.'.class.php' );
		break;
	case 3:
		$menu = "Transmenu";
		include_once( dirname(__FILE__).DS.'ja_menus/'.$menu.'.class.php' );
		break;
	default:
		$menu = "Splitmenu";
		include_once( dirname(__FILE__).DS.'ja_menus/'.$menu.'.class.php' );
		break;
}
$menuclass = "JA_$menu";
$jamenu = new $menuclass ($japarams);

$hasSubnav = false;
if ($jamenu->hasSubMenu (1) && $jamenu->showSeparatedSub ) 
	$hasSubnav = true;
//End for main navigation
#Header images: you can add more subheader images. Please refer to User Guide for full information 
$ja_header_images = array('sh01.jpg','sh02.jpg','sh03.jpg'); // Each sub header image will be assigned to each menu 
$ja_headerimg = $ja_header_images [$tmpTools->getCurrentMenuIndex() % count($ja_header_images)];
if(!is_file(dirname(__FILE__)."/images/".$tmpTools->getParam(JA_TOOL_COLOR)."/".$ja_headerimg)) $ja_headerimg = $ja_header_images [0];

# Auto Collapse Divs Functions ##########
$ja_sidecol = $this->countModules( 'top' ) || $this->countModules( 'left' ) || $this->countModules( 'right' ) || ($hasSubnav);

if ( $ja_sidecol ) {
	$divid = 'content';
	$divwrapid = 'main';
	} else {
	$divid = 'content-f';
	$divwrapid = 'main-f';
}

$footermodule = 0;
if ($this->countModules('user1')) $footermodule++;
if ($this->countModules('user2')) $footermodule++;
if ($this->countModules('newsflash')) $footermodule++;

if ( $footermodule == 3 ) {
	$divwidth = '32%';
	$divheight = '145px';
} else if ($footermodule == 2) {
	$divwidth = '49%';
	$divheight = '145px';
} else if ($footermodule == 1) {
	$divwidth = '99%';
	$divheight = 'auto';
}

?>
